hakatashi hakatashi

textlint

30 14 0

The pluggable natural language linter for text and markdown.

Dependencies

Package Locked Requirement Latest Status Changelog
Npms bluebird ^3.0.5 3.5.0

bluebird

Full featured Promises/A+ implementation with exceptionally good performance

This dependency is up-to-date. Congrats and keep going!

Npms carrack 0.0.5 0.5.0

carrack

a Promise-based EventEmitter

This dependency is not matching latest version. Please consider upgrading.

Npms chalk ^1.1.1 1.1.3

chalk

Terminal string styling done right. Much color.

This dependency is up-to-date. Congrats and keep going!

Npms concat-stream ^1.4.7 1.6.0

concat-stream

writable stream that concatenates strings or binary data and calls a callback with the result

This dependency is up-to-date. Congrats and keep going!

Npms debug ^2.1.0 2.6.8

debug

small debugging utility

This dependency is up-to-date. Congrats and keep going!

Npms diff ^2.2.2 3.2.0

diff

A javascript text diff implementation.

This dependency is not matching latest version. Please consider upgrading.

Npms exists-sync 0.0.3 0.0.4

exists-sync

existsSync that also checks for symlinks

This dependency is not matching latest version. Please consider upgrading.

Npms interop-require ^1.0.0 1.0.0

interop-require

Require babel's ES6 modules from node.

This dependency is up-to-date. Congrats and keep going!

Npms mkdirp ^0.5.0 0.5.1

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is up-to-date. Congrats and keep going!

Npms object-assign ^4.0.1 4.1.1

object-assign

ES2015 `Object.assign()` ponyfill

This dependency is up-to-date. Congrats and keep going!

Npms optionator ^0.8.0 0.8.2

optionator

option parsing and help generation

This dependency is up-to-date. Congrats and keep going!

Npms rc-loader ^1.0.0 1.0.0

rc-loader

Runtime configuration loader that supports YAML, JSON or JS

This dependency is up-to-date. Congrats and keep going!

Npms string-width ^1.0.1 2.0.0

string-width

Get the visual width of a string - the number of columns required to display it

This dependency is not matching latest version. Please consider upgrading.

Npms structured-source ^3.0.2 3.0.2

structured-source

Provides StructuredSource and functionality for converting range and loc vice versa.

This dependency is up-to-date. Congrats and keep going!

Npms text-table ^0.2.0 0.2.0

text-table

borderless text tables with alignment

This dependency is up-to-date. Congrats and keep going!

Npms textlint-formatter ^1.7.3 1.8.0

textlint-formatter

textlint output formatter

This dependency is up-to-date. Congrats and keep going!

Npms textlint-plugin-markdown ^1.0.3 2.0.5

textlint-plugin-markdown

Markdown support for textlint.

This dependency is not matching latest version. Please consider upgrading.

Npms textlint-plugin-text ^1.0.1 1.1.4

textlint-plugin-text

plain text plugin for textlint

This dependency is up-to-date. Congrats and keep going!

Npms traverse ^0.6.6 0.6.6

traverse

traverse and transform objects by visiting every node on a recursive walk

This dependency is up-to-date. Congrats and keep going!

Npms try-resolve ^1.0.1 1.0.1

try-resolve

Try and resolve a filename

This dependency is up-to-date. Congrats and keep going!

Npms txt-ast-traverse ^1.2.0 1.2.1

txt-ast-traverse

TxtNode traverse library

This dependency is up-to-date. Congrats and keep going!

Npms unique-concat ^0.2.2 0.2.2

unique-concat

Concatenates two arrays, removing duplicates in the process and returns one array with unique values.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Npms babel-cli ^6.6.5 6.24.1

babel-cli

Babel command line.

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-add-module-exports ^0.1.2 0.2.1

babel-plugin-add-module-exports

Fix babel/babel#2212

This dependency is not matching latest version. Please consider upgrading.

Npms babel-plugin-espower ^2.1.2 2.3.2

babel-plugin-espower

Babel plugin for power-assert

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-jsdoc-to-assert ^1.4.1 3.0.4

babel-plugin-jsdoc-to-assert

Babel plugin convert jsdoc to assertion.

This dependency is not matching latest version. Please consider upgrading.

Npms babel-preset-es2015 ^6.6.0 6.24.1

babel-preset-es2015

Babel preset for all es2015 plugins.

This dependency is up-to-date. Congrats and keep going!

Npms babel-register ^6.7.2 6.24.1

babel-register

babel require hook

This dependency is up-to-date. Congrats and keep going!

Npms clone ^1.0.0 2.1.1

clone

deep cloning of objects and arrays

This dependency is not matching latest version. Please consider upgrading.

Npms eslint ^2.3.0 3.19.0

eslint

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-plugin-markdown ^1.0.0-beta.1 1.0.0-beta.6

eslint-plugin-markdown

An ESLint plugin to lint JavaScript in Markdown code fences.

This dependency is up-to-date. Congrats and keep going!

Npms glob ^7.0.3 7.1.2

glob

a little globber

This dependency is up-to-date. Congrats and keep going!

Npms markdown-to-ast ^3.2.3 4.0.0

markdown-to-ast

Parse Markdown to AST with location info.

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ^2.3.3 3.4.2

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms npm-run-all ^1.5.1 4.0.2

npm-run-all

A CLI tool to run multiple npm-scripts in parallel or sequential.

This dependency is not matching latest version. Please consider upgrading.

Npms power-assert ^1.3.1 1.4.2

power-assert

Power Assert in JavaScript

This dependency is up-to-date. Congrats and keep going!

Npms shelljs ^0.6.0 0.7.7

shelljs

Portable Unix shell commands for Node.js

This dependency is not matching latest version. Please consider upgrading.

Npms textlint-plugin-html ^0.1.2 0.1.5

textlint-plugin-html

textlint HTML processsor plugin.

This dependency is up-to-date. Congrats and keep going!

Npms textlint-rule-alex ^1.0.1 1.2.0

textlint-rule-alex

textlint rule for alex

This dependency is up-to-date. Congrats and keep going!

Npms textlint-rule-helper ^1.1.3 2.0.0

textlint-rule-helper

Helper for textlint rule.

This dependency is not matching latest version. Please consider upgrading.

Npms textlint-rule-no-todo ^2.0.0 2.0.0

textlint-rule-no-todo

textlint rule: warn TODO text.

This dependency is up-to-date. Congrats and keep going!

Npms textlint-rule-preset-jtf-style ^2.0.0 2.2.5

textlint-rule-preset-jtf-style

JTF Style Guide for Translators Working into Japanese for textlint.

This dependency is up-to-date. Congrats and keep going!

Npms textlint-rule-rousseau ^1.3.0 1.4.5

textlint-rule-rousseau

textlint rule check english sentence using rousseau

This dependency is up-to-date. Congrats and keep going!

Npms textlint-rule-unexpanded-acronym ^1.2.1 1.2.1

textlint-rule-unexpanded-acronym

textlint rule that check unexpanded acronym word.

This dependency is up-to-date. Congrats and keep going!